> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /publisher

> Creates a new publisher from the given domain



## OpenAPI

````yaml /openapi.json post /v1/publisher
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/publisher:
    post:
      tags:
        - Publisher
        - public
      summary: /publisher
      description: Creates a new publisher from the given domain
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                dupe_configs:
                  type: boolean
                  description: If supe_from is set, should the configs be copied across to?
                dupe_from:
                  type: integer
                  description: UIS of publisher to make copy of
                targets:
                  type: array
                  items:
                    type: object
                    properties:
                      domain:
                        type: string
                        description: Root domain name
                      label:
                        type: string
                        description: Optional label
                    required:
                      - domain
                  description: New target to be created
              required:
                - targets
                - dupe_from
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  uids:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: integer
                        domain:
                          type: string
                        label:
                          type: string
                          nullable: true
                        display_name:
                          type: string
                          nullable: true
                  success:
                    type: boolean
                required:
                  - uids
                  - success
              example:
                uids:
                  - uid: 18984
                    domain: test.jamiedruce.io
                    label: ''
                    display_name: null
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````